[package]
name = "powercreep"
version = "0.1.0"
publish = false
edition = "2021"
repository = "https://msrd0.dev/spielemarmelade/turtlegame"
description = "turtlegame - the game from the turtleteam :)"

[workspace]
resolver = "2" 
# opt-level = 1

# Enable high optimizations for dependencies (incl. Bevy), but not for our code:
[profile.dev.package."*"]
opt-level = 3

[dependencies]
comfy = { version = "0.4.0", features = ["wayland"] }
indexmap = "2"

[build-dependencies]
heck = "0.5"
resvg = "0.42"

[patch.crates-io]
# https://github.com/darthdeus/comfy/issues/101
# https://github.com/darthdeus/comfy/pull/102
comfy = { git = "https://github.com/Plonq/comfy/", branch = "101-fix-keyboard-events" }
